Scanner API Reference

FieldValue
Source specscanner/openapi/score-replay.v1.json
OpenAPI version3.1.1
API version1.0.0
Operations4
Path filterAll paths

Operations

GET /api/v1/scans/{scanId}/score/bundle

Get the proof bundle for a scan

PropertyValue
Operation IDscanner.scans.score.bundle
TagsScoreReplayEndpoints
AuthNot declared
Request body-

Parameters:

NameInRequiredDescription
scanIdpathyes
rootHashqueryno

Responses:

StatusDescriptionContent types
200OKapplication/json
404Not Foundapplication/json

GET /api/v1/scans/{scanId}/score/history

scanner.score_replay.history_description

PropertyValue
Operation IDscanner.scans.score.history
TagsScoreReplayEndpoints
AuthNot declared
Request body-

Parameters:

NameInRequiredDescription
scanIdpathyes

Responses:

StatusDescriptionContent types
200OKapplication/json
400Bad Requestapplication/json
404Not Found-

POST /api/v1/scans/{scanId}/score/replay

Replay scoring for a previous scan using frozen inputs

PropertyValue
Operation IDscanner.scans.score.replay
TagsScoreReplayEndpoints
AuthNot declared
Request bodyapplication/json

Parameters:

NameInRequiredDescription
scanIdpathyes

Responses:

StatusDescriptionContent types
200OKapplication/json
400Bad Requestapplication/json
404Not Foundapplication/json
422Unprocessable Entityapplication/json

POST /api/v1/scans/{scanId}/score/verify

Verify a proof bundle against expected root hash

PropertyValue
Operation IDscanner.scans.score.verify
TagsScoreReplayEndpoints
AuthNot declared
Request bodyapplication/json

Parameters:

NameInRequiredDescription
scanIdpathyes

Responses:

StatusDescriptionContent types
200OKapplication/json
404Not Foundapplication/json
422Unprocessable Entityapplication/json